发新帖

屏幕取词翻译软件 CuteTranslation v0.1.1 发布

jzc / 2020-1-14 22:40
浏览: 696 / 回复: 20
查看: 696|回复: 20

屏幕取词翻译软件 CuteTranslation v0.1.1 发布

[复制链接]
收藏
跳转到指定楼层
本帖最后由 jzc 于 2020-1-18 09:28 编辑

项目  https://github.com/jiangzc/CuteTranslation
简介  
CuteTranslation 是Linux系统上基于X11的一款取词翻译软件。帮助用户减少英文阅读障碍。

功能:
  • 取词翻译
  • 截图翻译
  • 悬浮搜索框

特点:
  • Google翻译插件风格
  • html css js 渲染界面
  • 对接百度翻译
  • 百度AI:OCR识别图片内容并翻译
  • 个性化的配置
  • 快捷键 悬浮窗口
  • 只支持X11,不支持wayland
使用
安装
因为要自动下载很多依赖包,用图形界面的安装器可能会有问题。推荐下载deb包后用命令安装。安装失败、程序报警、出错请跳转到故障排查
sudo apt-get install  ./CuteTranslation_v0.1.1_amd64.deb

基本功能
CuteTranslation 是Linux系统上基于X11的一款取词翻译软件。打开软件,系统托盘栏会出现一个圆形图标。当你用鼠标选中一段文字后,鼠标旁边会出现一个小方块(FloatButton),点击后触发翻译功能。双击、右键托盘图标可以查看更多功能。
截图翻译
按下快捷键 alt+q 或 右键托盘栏图标选择“截图翻译” 触发截图翻译。这时鼠标会变成十字星,选中要翻译的区域即可。

悬浮搜索框
按下快捷键 alt+w 或 右键托盘栏图标选择“文字翻译” 打开悬浮搜索框。输入文字后按下回车键触发翻译。按下 alt+w 或 右侧按钮关闭悬浮搜索框。

取词模式
有三种取词模式可供选择:全局、自定义、禁用。
自定义指的是只在某些窗口上启动取词功能,或只在某些窗口上禁用取词功能。 选中一段文字,右键鼠标旁边的小方块(FloatButton),点击“不要在XXX中显示”。被禁止取词的软件可以在配置窗口中看到。配置窗口中右键列表可移除选项。

翻译界面附加功能
翻译界面右上角有一排按钮:换行处理、刷新、固定、关闭等。
如果翻译结果为"time out",说明网络请求超时。点击翻译界面右上角的刷新按钮可重新翻译。
鼠标点击其他的地方,翻译界面会自动隐藏。点击翻译界面右上角的固定按钮可固定翻译界面。关闭被固定的界面需要点击右上角的关闭按钮。
换行处理可以忽略文本中的换行符。在某些软件如PDF阅读器中,如果直接选中以下段落翻译,效果会很差。这时点击翻译界面的N按钮,重新选中段落翻译,可以优化翻译效果。

配置文件
CuteTranslation提供了多种多样的配置选项,例如界面大小、快捷键、缩放比例等等。配置文件位于 ~/.config/CuteTranslation/config.ini

CuteTranslation 默认配置 config.ini

因为每个人显示器大小和缩放比例不同,所以要把窗口大小调到合适的值。例如15.6寸笔记本电脑用以下配置比较合适。24寸左右屏幕推荐WebPageZoomFactor=1.0,增加 MainWindowWidth。

安装依赖
# Qt, WebEngine, Xlib
sudo apt install libqt5x11extras5  libqt5webengine5   libqt5webenginewidgets5   libqt5widgets5   libqt5x11extras5  libqt5network5  libqt5core5a   libqt5gui5
# JS
sudo apt install nodejs
# APP
sudo apt install gnome-screenshot python3-pip
# Python3
pip3 install PyExecJS
pip3 install requests
故障排查
  • 配置文件版本v0.0.0,与程序版本不符合
    检查 ~/.config/CuteTranslation/config.ini 是否缺失或内容不完整。如果是,则删除config.ini后重启程序。
  • 文件缺失
    分析日志 ~/.config/CuteTranslation/log.txt 考虑重装软件
  • 缺少python3依赖
    pip3 install PyExecJS pip3 install requests sudo apt install nodejs
  • 缺少其他依赖
    Depends: nodejs, python3 (>=3.5), libqt5x11extras5, libqt5webengine5, libqt5webenginewidgets5, libqt5widgets5, libqt5x11extras5, libqt5network5, libqt5core5a, libqt5gui5, gnome-screenshot, python3-pip
  • 截图翻译出错
    分析日志 ~/.config/CuteTranslation/log.txt ,检查 ~/.config/CuteTranslation/token 是否正确
  • 文字翻译出错
    分析日志 ~/.config/CuteTranslation/log.txt ,删除 ~/.config/CuteTranslation/dict_object 试试






评分

参与人数 2贡献 +6 收起 理由
bfzldh + 3 加分鼓励 : )
geniusking + 3 加分鼓励 : )

查看全部评分

15

主题

296

帖子

1193

积分

-rw-r--r--

Rank: 4

积分
1193
jzc 发表于 2020-1-14 22:47:32 | 显示全部楼层
本帖最后由 jzc 于 2020-1-18 00:14 编辑

CuteTranslation_v0.1.1_amd64.zip (84.09 KB, 下载次数: 4)

62

主题

2413

帖子

9057

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
9057
lidanger 志愿者 发表于 2020-1-14 22:50:34 | 显示全部楼层
支持下先。。
士别三日当刮目相待

58

主题

323

帖子

2385

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2385
bfzldh 发表于 2020-1-14 23:05:19 | 显示全部楼层
祝愿CuteTranslation万寿无疆
deepin 15.11 on Xiaomi Air 13.3

12

主题

251

帖子

1268

积分

-rw-r--r--

Rank: 4

积分
1268
liwl 发表于 2020-1-15 09:11:55 | 显示全部楼层
已经安装了,虽然deb缺少依赖关系,但是通过故障指导也都能解决的。
功能还是可以的,快捷键可以通过配置文件自定义。
显示的有些粗糙,希望以后能够精细化一些。
不知道是不是支持双击直接翻译的配置

12

主题

251

帖子

1268

积分

-rw-r--r--

Rank: 4

积分
1268
liwl 发表于 2020-1-15 09:21:21 | 显示全部楼层
仿佛只能够在特效模式下翻译

15

主题

296

帖子

1193

积分

-rw-r--r--

Rank: 4

积分
1193
jzc 发表于 2020-1-15 09:27:38 | 显示全部楼层
liwl 发表于 2020-1-15 09:21
仿佛只能够在特效模式下翻译

是的。因为窗口的形状很特殊,需要手动绘制和透明功能。

15

主题

296

帖子

1193

积分

-rw-r--r--

Rank: 4

积分
1193
jzc 发表于 2020-1-15 09:31:06 | 显示全部楼层
安装依赖
# Qt, WebEngine, Xlib
sudo apt install libqt5x11extras5  libqt5webengine5   libqt5webenginewidgets5   libqt5widgets5   libqt5x11extras5  libqt5network5  libqt5core5a   libqt5gui5
# JS
sudo apt install nodejs
# APP
sudo apt install gnome-screenshot python3-pip
# Python3
pip3 install PyExecJS
pip3 install requests

29

主题

342

帖子

1393

积分

-rw-r--r--

Rank: 4

积分
1393
xkill 发表于 2020-1-15 15:09:27 | 显示全部楼层
祝愿CuteTranslation万寿无疆
Computer-shawn

0

主题

4

帖子

50

积分

-r--------

Rank: 1

积分
50
li123456 发表于 2020-1-15 15:15:36 | 显示全部楼层
厉害,只会膜拜大佬

10

主题

158

帖子

1032

积分

-rw-r--r--

Rank: 4

积分
1032
muqiu 志愿者 发表于 2020-1-15 17:59:33 | 显示全部楼层
一直用 words-picker

3

主题

124

帖子

509

积分

-r--r--r--

Rank: 3Rank: 3

积分
509
dotaispeak 发表于 2020-1-15 21:22:09 | 显示全部楼层
以前有有道词典,可惜现在不更新了,没有deepin版本!
HUAWEI Matebook13  i5-8265U - 8G - MX150 - 512G SSD
Deepin 15.11 桌面版

7

主题

67

帖子

334

积分

-r--r-----

Rank: 2

积分
334
leafgreen 发表于 2020-1-16 05:01:28 来自移动端 | 显示全部楼层
很酷的作品!

158

主题

3528

帖子

1万

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
12153
QQ
superendermansm 发表于 2020-1-16 15:37:35 来自移动端 | 显示全部楼层
dotaispeak 发表于 2020-1-15 21:22
以前有有道词典,可惜现在不更新了,没有deepin版本!

有的
更新了

17

主题

211

帖子

1320

积分

-rw-r--r--

Rank: 4

积分
1320
abc22048 发表于 2020-1-16 20:24:14 | 显示全部楼层
本帖最后由 abc22048 于 2020-1-17 21:39 编辑

为是同样是deepin15.11,虚拟机中正常,实机中缺少依赖-按照方法已经解决。
深度截图_选择区域_20200117213338.png

3

主题

124

帖子

509

积分

-r--r--r--

Rank: 3Rank: 3

积分
509
dotaispeak 发表于 2020-1-17 22:24:10 | 显示全部楼层

只有amd64的,没有X86的。
HUAWEI Matebook13  i5-8265U - 8G - MX150 - 512G SSD
Deepin 15.11 桌面版

15

主题

296

帖子

1193

积分

-rw-r--r--

Rank: 4

积分
1193
jzc 发表于 2020-1-17 22:54:46 | 显示全部楼层
dotaispeak 发表于 2020-1-17 22:24
只有amd64的,没有X86的。

x86_64 和 amd64 是一样的

15

主题

296

帖子

1193

积分

-rw-r--r--

Rank: 4

积分
1193
jzc 发表于 2020-1-17 23:58:08 | 显示全部楼层
v0.1.1  新增功能:
配置界面 调整缩放大小和翻译界面宽度
增加 preinst.sh 脚本,在安装之前补充说明软件依赖

下载地址   https://github.com/jiangzc/CuteTranslation/releases

2

主题

9

帖子

68

积分

-r--------

Rank: 1

积分
68
wjhbj1437 发表于 2020-1-18 07:56:54 | 显示全部楼层
小白弱弱的问问: 深度截图_dde-desktop_20200118075538.png 这是什么原因啊

15

主题

296

帖子

1193

积分

-rw-r--r--

Rank: 4

积分
1193
jzc 发表于 2020-1-18 09:26:32 | 显示全部楼层

本帖最后由 jzc 于 2020-1-18 09:27 编辑
wjhbj1437 发表于 2020-1-18 07:56
小白弱弱的问问:这是什么原因啊

看一下文件名和路径,应该填错了。双击,图形界面安装也可以的
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部